%define group System/Configuration/Packaging
BuildRequires: libgtk+2.0_0-devel 

Name: gtkdialogs
Version: 2.0
Release: 3mdk
Source: gtkdialogs-2.0.tar.bz2
Patch0: gtkdialogs-2.0-set_editable-and-set_cursor_visible-to-0.patch.bz2
Patch1: gtkdialogs-usage-must-say-gmessage--not-xmessage.patch.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}
Summary: Ready-to-use gtk+ dialog boxes
Provides: gchooser gmessage xtest
Group: %{group}

%description
Ready-to-use gtk+ dialog boxes:
- xtest lets you test if X is running or not
- gmessage show a message and some buttons, it returns with the number of the
  pressed button
- gchooser presents a list of entries from which the user can choose

%prep
%setup -n %{name} -q
%patch0 -p0
%patch1 -p1
# lib64 fixes, avoid patch
perl -pi -e "s|(/usr/X11R6)/lib|\1/%{_lib}|" Makefile

%build
make clean
make CFLAGS="$RPM_OPT_FLAGS"

%install
make prefix=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/X11R6/bin/xtest
%{_prefix}/X11R6/bin/gmessage
%{_prefix}/X11R6/bin/gchooser

%changelog
* Thu Mar  6 2003 Pixel <pixel@mandrakesoft.com> 2.0-3mdk
- fix usage of gmessage (bug #2832)

* Wed Mar  5 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-2mdk
- gmessage: have the textview not editable and the cursor hidden,
  so that keyboard TAB will work as expected

* Fri Feb 21 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-1mdk
- ported to gtk2
- changed textdomain to "gtk+mdk"

* Wed Jul 31 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-3mdk
- lib64 fixes, don't self-clean build_dir when done compiling

* Fri Feb  8 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.2-2mdk
- make clean to remove x86 .o files left in tarball before build

* Wed Jan 30 2002 Pixel <pixel@mandrakesoft.com> 1.2-1mdk
- corrected i18n problem 

* Sun Jan 13 2002 Pixel <pixel@mandrakesoft.com> 1.1-1mdk
- new version (with -center, -nearmouse and -timeout handling, thanks to Andre van Dijk)

* Tue Mar 13 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0-3mdk
- 64bit fixes for ia64

* Tue Mar  6 2001 DindinX <odin@mandrakesoft.com> 1.0-2mdk
- rebuild

* Mon Aug 07 2000 DindinX <odin@mandrakesoft.com> 1.0-1mdk
- very first release as a standalone package

